# H225_AlternateGK Class Reference

`#include <h225.h>`

Inheritance diagram for H225_AlternateGK:

List of all members.

## Public Types

enum | OptionalFields { e_gatekeeperIdentifier }

## Public Member Functions

| H225_AlternateGK (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_TransportAddress | m_rasAddress
H225_GatekeeperIdentifier | m_gatekeeperIdentifier
PASN_Boolean | m_needToRegister
PASN_Integer | m_priority

## Member Enumeration Documentation

enum H225_AlternateGK::OptionalFields

Enumerator:

  e_gatekeeperIdentifier |

## Constructor & Destructor Documentation

H225_AlternateGK::H225_AlternateGK | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_AlternateGK::GetDataLength | ( |  | ) | const

PBoolean H225_AlternateGK::Decode | ( | PASN_Stream & | strm | ) |

void H225_AlternateGK::Encode | ( | PASN_Stream & | strm | ) | const

void H225_AlternateGK::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_AlternateGK::Compare | ( | const PObject & | obj | ) | const

PObject* H225_AlternateGK::Clone | ( |  | ) | const

## Member Data Documentation

H225_TransportAddress H225_AlternateGK::m_rasAddress

H225_GatekeeperIdentifier H225_AlternateGK::m_gatekeeperIdentifier

PASN_Boolean H225_AlternateGK::m_needToRegister

PASN_Integer H225_AlternateGK::m_priority

The documentation for this class was generated from the following file:

- h225.h